View Issue Details

IDProjectCategoryView StatusLast Update
0001601Ham Radio DeluxeBugpublic2017-06-19 21:10
ReporterWA9PIE 
Assigned ToERIK 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.7 
Summary0001601: Lookup pane's Country section doesn't match Cluster or ALE country in many cases
DescriptionSlash calls quite often are CORRECT in the Cluster and ALE... but INCORRECT in the Country section of the Lookup pane. This causes people to complain that the modes and bands needed for that country are wrong (in the Lookup pane).

The same is true when calls are in the UCSDB (because they're odd calls). In those cases, it's correct in the Cluster and ALE... not correct in the Country section of the lookup pane.
Steps To ReproduceThere are two ways that a call is entered in the Lookup pane. One - it is entered manually (in which case the UCSDB should fill Country first... followed by other lookup sources). Two - it is transferred there when clicking on a spot in the cluster.

The Country section needs to match to what would show up if the call were transferred to the Lookup pane from the cluster.

See the image in this report for a call to test with.

In the attached image, the callsign - HK0/UA4WHX - was in the UCSDB as San Andres & Provindencia (HK0/a).
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing

Relationships

Activities

WA9PIE

2014-03-18 21:16

administrator  

LookupPaneWrong.JPG (369,702 bytes)

WA9PIE

2014-04-05 00:50

administrator   ~0000395

This was fixed in 251. Both Rick and I tested it.

However...

The same thing needs to be done for the ALE in DM-780.

Issue History

Date Modified Username Field Change
2014-03-18 21:16 WA9PIE New Issue
2014-03-18 21:16 WA9PIE File Added: LookupPaneWrong.JPG
2014-03-18 21:19 WA9PIE Status new => confirmed
2014-03-18 21:19 WA9PIE Steps to Reproduce Updated View Revisions
2014-03-18 22:28 WA9PIE Project @5@ => 2 - Next Dev List (Holding Area)
2014-03-26 19:46 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2014-03-26 19:48 WA9PIE Steps to Reproduce Updated View Revisions
2014-03-26 20:00 WA9PIE Assigned To => ERIK
2014-03-26 20:00 WA9PIE Status confirmed => assigned
2014-04-05 00:50 WA9PIE Fix Build TBD => 251
2014-04-05 00:50 WA9PIE Report Build 6.1.4.189 => 6.2
2014-04-05 00:50 WA9PIE Note Added: 0000395
2014-04-05 00:50 WA9PIE Status assigned => closed
2014-04-05 00:50 WA9PIE Resolution open => fixed
2014-10-08 22:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-10-08 22:13 WA9PIE Category Logbook => General
2015-09-30 12:07 WA9PIE Fix Build 251 => (select)
2015-09-30 12:07 WA9PIE Proposed Release => TBD
2015-09-30 12:07 WA9PIE Summary Bug: Lookup pane's Country section doesn't match Cluster or ALE country in many cases => Lookup pane's Country section doesn't match Cluster or ALE country in many cases
2015-09-30 13:33 WA9PIE Category General => Bug
2017-06-19 21:10 WA9PIE Fixed in Version => 6.2.7